Categories:
  - Phone & SMS
License: GPL-3.0-only
AuthorName: Belledonne Communications
WebSite: https://www.linphone.org/
SourceCode: https://gitlab.linphone.org/BC/public/linphone-android
IssueTracker: https://github.com/BelledonneCommunications/linphone-android/issues
Changelog: https://gitlab.linphone.org/BC/public/linphone-android/blob/HEAD/CHANGELOG.md

AutoName: Linphone

RepoType: git
Repo: https://gitlab.linphone.org/BC/public/linphone-android.git

Builds:
  - versionName: 2.3.2-fdroid
    versionCode: 2302
    commit: 0f4de68
    submodules: true
    prebuild:
      - find submodules/externals/antlr3/runtime/ -mindepth 1 -maxdepth 1 -not -name
        "C" -exec rm -r {} \;
      - rm -rf gradle liblinphone_tester tests
      - rm -rf submodules/externals/antlr3/antlr-3.4-complete.jar
      - rm -rf submodules/externals/antlr3/antlr-ant
      - rm -rf submodules/externals/libupnp/ixml/doc
      - rm -rf submodules/externals/libupnp/upnp/doc
      - rm -rf submodules/externals/libxml2/result
      - rm -rf submodules/externals/libxml2/test
      - rm -rf submodules/externals/libxml2/win32
      - rm -rf submodules/externals/openh264/res
      - rm -rf submodules/externals/polarssl/programs
      - rm -rf submodules/externals/polarssl/tests
      - rm -rf submodules/externals/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/*
      - rm -rf submodules/externals/webrtc/voice_engine/test
      - rm -rf submodules/linphone/pixmaps
      - rm -rf submodules/linphone/share
      - rm -rf submodules/linphone/tester
      - rm -rf submodules/mssilk/ios_bin
      - rm libs/gcm.jar src/org/linphone/gcm/GCMService.java src/org/linphone/gcm/GCMReceiver.java
      - sed -i -e 's/<application/<application android:debuggable="false"/' AndroidManifest.xml
      - sed -i -e 's/android:versionCode/android:versionName="2.3.2-fdroid" android:versionCode/'
        AndroidManifest.xml
    target: android-19
    build: make generate-libs BUILD_GPLV3_ZRTP=1
    antifeatures:
      - NonFreeAdd

  - versionName: 2.4.0-fdroid
    versionCode: 2400
    commit: 2.4.0
    submodules: true
    prebuild:
      - find submodules/externals/antlr3/runtime/ -mindepth 1 -maxdepth 1 -not -name
        "C" -exec rm -r {} \;
      - rm -rf gradle liblinphone_tester tests
      - rm -rf submodules/externals/antlr3/antlr-3.4-complete.jar
      - rm -rf submodules/externals/antlr3/antlr-ant
      - rm -rf submodules/externals/libupnp/ixml/doc
      - rm -rf submodules/externals/libupnp/upnp/doc
      - rm -rf submodules/externals/libxml2/result
      - rm -rf submodules/externals/libxml2/test
      - rm -rf submodules/externals/libxml2/win32
      - rm -rf submodules/externals/openh264/res
      - rm -rf submodules/externals/polarssl/programs
      - rm -rf submodules/externals/polarssl/tests
      - rm -rf submodules/externals/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/*
      - rm -rf submodules/externals/webrtc/voice_engine/test
      - rm -rf submodules/linphone/pixmaps
      - rm -rf submodules/linphone/share
      - rm -rf submodules/linphone/tester
      - rm -rf submodules/mssilk/ios_bin
      - rm libs/gcm.jar src/org/linphone/gcm/GCMService.java src/org/linphone/gcm/GCMReceiver.java
      - sed -i -e 's/<application/<application android:debuggable="false"/' AndroidManifest.xml
      - sed -i -e 's/android:versionCode/android:versionName="2.4.0-fdroid" android:versionCode/'
        AndroidManifest.xml
    target: android-22
    scanignore:
      - submodules/mswebrtc/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/VideoCaptureDeviceInfoAndroid.java
    build: make generate-libs BUILD_GPLV3_ZRTP=1
    antifeatures:
      - NonFreeAdd

  - versionName: 2.4.1-fdroid
    versionCode: 2411
    commit: 2.4.1
    submodules: true
    prebuild:
      - find submodules/externals/antlr3/runtime/ -mindepth 1 -maxdepth 1 -not -name
        "C" -exec rm -r {} \;
      - rm -rf gradle liblinphone_tester tests
      - rm -rf submodules/externals/antlr3/antlr-3.4-complete.jar
      - rm -rf submodules/externals/antlr3/antlr-ant
      - rm -rf submodules/externals/libupnp/ixml/doc
      - rm -rf submodules/externals/libupnp/upnp/doc
      - rm -rf submodules/externals/libxml2/result
      - rm -rf submodules/externals/libxml2/test
      - rm -rf submodules/externals/libxml2/win32
      - rm -rf submodules/externals/openh264/res
      - rm -rf submodules/externals/polarssl/programs
      - rm -rf submodules/externals/polarssl/tests
      - rm -rf submodules/externals/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/*
      - rm -rf submodules/externals/webrtc/voice_engine/test
      - rm -rf submodules/linphone/pixmaps
      - rm -rf submodules/linphone/share
      - rm -rf submodules/linphone/tester
      - rm -rf submodules/mssilk/ios_bin
      - rm libs/gcm.jar src/org/linphone/gcm/GCMService.java src/org/linphone/gcm/GCMReceiver.java
      - sed -i -e 's/<application/<application android:debuggable="false"/' AndroidManifest.xml
      - sed -i -e 's/android:versionCode/android:versionName="$$VERSION$$" android:versionCode/'
        AndroidManifest.xml
    target: android-22
    scanignore:
      - submodules/mswebrtc/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/VideoCaptureDeviceInfoAndroid.java
    build: make generate-libs BUILD_GPLV3_ZRTP=1
    antifeatures:
      - NonFreeAdd

  - versionName: 2.5.0-fdroid
    versionCode: 2500
    commit: 2.5.0
    submodules: true
    prebuild:
      - find submodules/externals/antlr3/runtime/ -mindepth 1 -maxdepth 1 -not -name
        "C" -exec rm -r {} \;
      - rm -rf gradle liblinphone_tester tests
      - rm -rf submodules/externals/antlr3/antlr-3.4-complete.jar
      - rm -rf submodules/externals/antlr3/antlr-ant
      - rm -rf submodules/externals/libupnp/ixml/doc
      - rm -rf submodules/externals/libupnp/upnp/doc
      - rm -rf submodules/externals/libxml2/result
      - rm -rf submodules/externals/libxml2/test
      - rm -rf submodules/externals/libxml2/win32
      - rm -rf submodules/externals/openh264/res
      - rm -rf submodules/externals/polarssl/programs
      - rm -rf submodules/externals/polarssl/tests
      - rm -rf submodules/externals/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/*
      - rm -rf submodules/externals/webrtc/voice_engine/test
      - rm -rf submodules/linphone/pixmaps
      - rm -rf submodules/linphone/share
      - rm -rf submodules/linphone/tester
      - rm -rf submodules/mssilk/ios_bin
      - rm libs/gcm.jar src/org/linphone/gcm/GCMService.java src/org/linphone/gcm/GCMReceiver.java
      - sed -i -e 's/<application/<application android:debuggable="false"/' AndroidManifest.xml
      - sed -i -e 's/android:versionCode/android:versionName="$$VERSION$$" android:versionCode/'
        AndroidManifest.xml
    target: android-22
    scanignore:
      - submodules/mswebrtc/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/VideoCaptureDeviceInfoAndroid.java
    build: make generate-libs BUILD_GPLV3_ZRTP=1
    antifeatures:
      - NonFreeAdd

  - versionName: 2.5.1-fdroid
    versionCode: 2510
    commit: 2.5.1
    submodules: true
    prebuild:
      - find submodules/externals/antlr3/runtime/ -mindepth 1 -maxdepth 1 -not -name
        "C" -exec rm -r {} \;
      - rm -rf gradle liblinphone_tester tests
      - rm -rf submodules/externals/antlr3/antlr-3.4-complete.jar
      - rm -rf submodules/externals/antlr3/antlr-ant
      - rm -rf submodules/externals/libupnp/ixml/doc
      - rm -rf submodules/externals/libupnp/upnp/doc
      - rm -rf submodules/externals/libxml2/result
      - rm -rf submodules/externals/libxml2/test
      - rm -rf submodules/externals/libxml2/win32
      - rm -rf submodules/externals/openh264/res
      - rm -rf submodules/externals/polarssl/programs
      - rm -rf submodules/externals/polarssl/tests
      - rm -rf submodules/externals/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/*
      - rm -rf submodules/externals/webrtc/voice_engine/test
      - rm -rf submodules/linphone/pixmaps
      - rm -rf submodules/linphone/share
      - rm -rf submodules/linphone/tester
      - rm -rf submodules/mssilk/ios_bin
      - rm libs/gcm.jar src/org/linphone/gcm/GCMService.java src/org/linphone/gcm/GCMReceiver.java
      - sed -i -e 's/<application/<application android:debuggable="false"/' AndroidManifest.xml
      - sed -i -e 's/android:versionCode/android:versionName="$$VERSION$$" android:versionCode/'
        AndroidManifest.xml
    target: android-22
    scanignore:
      - submodules/mswebrtc/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/VideoCaptureDeviceInfoAndroid.java
    build: make generate-libs BUILD_GPLV3_ZRTP=1
    antifeatures:
      - NonFreeAdd

  - versionName: 3.1.0-fdroid
    versionCode: 3100
    commit: 3.1.0
    submodules: true
    prebuild:
      - find submodules/externals/antlr3/runtime/ -mindepth 1 -maxdepth 1 -not -name
        "C" -exec rm -r {} \;
      - rm -rf gradle liblinphone_tester tests
      - rm -rf submodules/externals/antlr3/antlr-3.4-complete.jar
      - rm -rf submodules/externals/antlr3/antlr-ant
      - rm -rf submodules/externals/libupnp/ixml/doc
      - rm -rf submodules/externals/libupnp/upnp/doc
      - rm -rf submodules/externals/libxml2/result
      - rm -rf submodules/externals/libxml2/test
      - rm -rf submodules/externals/libxml2/win32
      - rm -rf submodules/externals/openh264/res
      - rm -rf submodules/externals/polarssl/programs
      - rm -rf submodules/externals/polarssl/tests
      - rm -rf submodules/externals/webrtc/modules/video_capture/main/source/android/java/org/webrtc/videoengine/*
      - rm -rf submodules/externals/webrtc/voice_engine/test
      - rm -rf submodules/linphone/pixmaps
      - rm -rf submodules/linphone/share
      - rm -rf submodules/linphone/tester
      - rm -rf submodules/mssilk/ios_bin
      - rm libs/gcm.jar src/org/linphone/gcm/GCMService.java src/org/linphone/gcm/GCMReceiver.java
      - sed -i -e 's/<application/<application android:debuggable="false"/' AndroidManifest.xml
      - sed -i -e 's/android:versionCode/android:versionName="$$VERSION$$" android:versionCode/'
        AndroidManifest.xml
    target: android-22
    scanignore:
      - submodules/mswebrtc/webrtc/data/rtp_rtcp/*.bin
    scandelete:
      - submodules/mswebrtc/webrtc/data/voice_engine/stereo_rtp_files/rtpplay.exe
      - submodules/externals/openh264/autotest/performanceTest/ios/*
      - submodules/externals/mbedtls/tests/
    build: make generate-libs BUILD_GPLV3_ZRTP=1
    antifeatures:
      - NonFreeAdd

  - versionName: 3.3.0
    versionCode: 3303
    commit: 3.3.0
    submodules: true
    sudo: apt-get install -y cmake/testing libjsoncpp1/testing libstdc++6/testing
    patch:
      - 3.3.0-gradle.patch
    gradle:
      - yes
    output: bin/outputs/apk/org.linphone-release-unsigned.apk
    rm:
      - libs
      - liblinphone_tester
      - submodules/externals/antlr3
      - src/android/org/linphone/gcm
      - src/android/org/linphone/firebase/Firebase*.java
    scandelete:
      - submodules
    build:
      - echo 'gradle "$@"' > gradlew
      - chmod a+x gradlew
      - ./prepare.py
      - make -j`nproc` build
      - make copy-libs
      - make `pwd`/res/raw/rootca.pem
    ndk: r15c
    antifeatures:
      - NonFreeAdd

  - versionName: 3.3.1
    versionCode: 3311
    commit: 3.3.1
    submodules: true
    sudo: apt-get install -y cmake/testing libjsoncpp1/testing libstdc++6/testing
    patch:
      - 3.3.0-gradle.patch
    gradle:
      - yes
    output: bin/outputs/apk/org.linphone-release-unsigned.apk
    rm:
      - libs
      - liblinphone_tester
      - submodules/externals/antlr3
      - src/android/org/linphone/gcm
      - src/android/org/linphone/firebase/Firebase*.java
    prebuild: sed -i -e 's|"kill_service_with_task_manager">true<|"kill_service_with_task_manager">false<|'
        res/values/non_localizable_custom.xml
    scandelete:
      - submodules
    build:
      - echo 'gradle "$@"' > gradlew
      - chmod a+x gradlew
      - ./prepare.py
      - make -j`nproc` build
      - make copy-libs
      - make `pwd`/res/raw/rootca.pem
    ndk: r15c
    antifeatures:
      - NonFreeAdd

  - versionName: 3.3.2
    versionCode: 3320
    commit: 3.3.2
    submodules: true
    sudo: apt-get install -y cmake/testing libjsoncpp1/testing libstdc++6/testing
    patch:
      - 3.3.0-gradle.patch
    gradle:
      - yes
    output: bin/outputs/apk/org.linphone-release-unsigned.apk
    rm:
      - libs
      - liblinphone_tester
      - submodules/externals/antlr3
      - src/android/org/linphone/gcm
      - src/android/org/linphone/firebase/Firebase*.java
    prebuild: sed -i -e 's|"kill_service_with_task_manager">true<|"kill_service_with_task_manager">false<|'
        res/values/non_localizable_custom.xml
    scandelete:
      - submodules
    build:
      - echo 'gradle "$@"' > gradlew
      - chmod a+x gradlew
      - ./prepare.py
      - make -j`nproc` build
      - make copy-libs
      - make `pwd`/res/raw/rootca.pem
    ndk: r15c
    antifeatures:
      - NonFreeAdd

  - versionName: 4.0.1
    versionCode: 4002
    commit: 4.0.1
    submodules: true
    sudo:
      - apt-get update
      - apt-get install -y cmake -t testing
      - apt-get install -y python-pystache doxygen
    patch:
      - 4.0-gradle.patch
    gradle:
      - yes
    output: bin/outputs/apk/release/org.linphone-release-unsigned.apk
    rm:
      - liblinphone_tester
      - submodules/belle-sip/src/antlr3c/antlr-3.4-complete.jar
      - src/android/org/linphone/firebase/Firebase*.java
      - submodules/externals/xerces-c/tools/jars
    prebuild: sed -i -e 's|"kill_service_with_task_manager">true<|"kill_service_with_task_manager">false<|'
        res/values/non_localizable_custom.xml
    scanignore:
      - submodules/belcard/src/vcard_grammar
      - submodules/linphone/share/cpim_grammar
    scandelete:
      - submodules
    build:
      - echo 'gradle "$@"' > gradlew
      - chmod a+x gradlew
      - ./prepare.py
      - make -j`nproc` build
      - make copy-libs
    ndk: r16b
    antifeatures:
      - NonFreeAdd

  - versionName: '4.1'
    versionCode: 4124
    commit: '4.1'
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends cmake -t stretch-backports
      - apt-get install -y doxygen pkgconf python-pystache python-six yasm
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@4.2
    rm:
      - app/src/main/java/org/linphone/firebase/Firebase*.java
      - app/google-services.json
    prebuild:
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+5d' app/build.gradle
      - sed -i -e 's|"kill_service_with_task_manager">true<|"kill_service_with_task_manager">false<|'
        -e 's|"check_for_update_when_app_starts">true<|"check_for_update_when_app_starts">false<|'
        app/src/main/res/values/non_localizable_custom.xml
      - sed -i -e 's!https://www.linphone.org/releases!!' app/src/main/res/raw/linphonerc_default
    scanignore:
      - app/build.gradle
    build:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86, x86_64" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        linphone-sdk-android/
    ndk: r16b
    antifeatures:
      - NonFreeAdd

  - versionName: 4.1.1
    versionCode: 4125
    commit: 4.1.1
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends cmake -t stretch-backports
      - apt-get install -y doxygen pkgconf python-pystache python-six yasm
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@4.2
    rm:
      - app/src/main/java/org/linphone/firebase/Firebase*.java
      - app/google-services.json
    prebuild:
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+5d' app/build.gradle
      - sed -i -e 's|"kill_service_with_task_manager">true<|"kill_service_with_task_manager">false<|'
        -e 's|"check_for_update_when_app_starts">true<|"check_for_update_when_app_starts">false<|'
        app/src/main/res/values/non_localizable_custom.xml
      - sed -i -e 's!https://www.linphone.org/releases!!' app/src/main/res/raw/linphonerc_default
    scanignore:
      - app/build.gradle
    build:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86, x86_64" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        linphone-sdk-android/
    ndk: r16b
    antifeatures:
      - NonFreeAdd

  - versionName: 4.2.1
    versionCode: 4215
    commit: 4.2.1
    timeout: 20000
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends cmake -t stretch-backports
      - apt-get install -y doxygen pkgconf python-pystache python-six yasm
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@4.3.0
    rm:
      - app/src/main/java/org/linphone/firebase/Firebase*.java
      - app/google-services.json
      - sample
    prebuild:
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+5d' -e 's/${project.version}/$$VERSION$$/g'
        -e '/com.google.gms.google-services/d' app/build.gradle
      - sed -i -e 's|"kill_service_with_task_manager">true<|"kill_service_with_task_manager">false<|'
        -e 's|"check_for_update_when_app_starts">true<|"check_for_update_when_app_starts">false<|'
        app/src/main/res/values/non_localizable_custom.xml
      - sed -i -e 's!https://www.linphone.org/releases!!' app/src/main/res/raw/linphonerc_default
    scanignore:
      - app/build.gradle
    build:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86, x86_64" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        linphone-sdk-android/
    ndk: r16b
    antifeatures:
      - NonFreeAdd

  - versionName: 4.2.3
    versionCode: 4230
    commit: 4.2.3
    timeout: 20000
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y --no-install-recommends cmake -t stretch-backports
      - apt-get install -y doxygen pkgconf python-pystache python-six yasm
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@4.3.3
    rm:
      - app/src/main/java/org/linphone/firebase/Firebase*.java
      - app/google-services.json
      - sample
    prebuild:
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+5d' -e 's/${project.version}/$$VERSION$$/g'
        -e '/com.google.gms.google-services/d' app/build.gradle
      - sed -i -e 's|"kill_service_with_task_manager">true<|"kill_service_with_task_manager">false<|'
        -e 's|"check_for_update_when_app_starts">true<|"check_for_update_when_app_starts">false<|'
        app/src/main/res/values/non_localizable_custom.xml
      - sed -i -e 's!https://www.linphone.org/releases!!' app/src/main/res/raw/linphonerc_default
    scanignore:
      - app/build.gradle
    build:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86, x86_64" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        linphone-sdk-android/
    ndk: r16b
    antifeatures:
      - NonFreeAdd

  - versionName: 4.3.0
    versionCode: 4300
    commit: 4.3.0
    timeout: 20000
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y doxygen pkgconf python-pystache python-six yasm
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@4.4.1
    rm:
      - app/src/main/java/org/linphone/firebase/Firebase*.java
      - app/google-services.json
      - sample
    prebuild:
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+7d' -e 's/${project.version}/$$VERSION$$/g'
        -e '/com.google.gms.google-services/d' -e '/org.linphone\:linphone-sdk-android/d'
        -e "/bumptech/aimplementation\ fileTree(include\:\ ['linphone-sdk-android-release.aar'],\
        dir\:\ 'libs')" app/build.gradle
      - sed -i -e 's|"kill_service_with_task_manager">true<|"kill_service_with_task_manager">false<|'
        -e 's|"check_for_update_when_app_starts">true<|"check_for_update_when_app_starts">false<|'
        app/src/main/res/values/non_localizable_custom.xml
      - sed -i -e 's!https://www.linphone.org/releases!!' app/src/main/res/raw/linphonerc_default
    scanignore:
      - app/build.gradle
    build:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86, x86_64" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - mkdir app/libs
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        app/libs/
    ndk: r16b

  - versionName: 4.3.1
    versionCode: 4310
    commit: 4.3.1
    timeout: 20000
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y doxygen pkgconf python-pystache python-six yasm
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@4.4.2
    rm:
      - app/src/main/java/org/linphone/firebase/Firebase*.java
      - app/google-services.json
      - sample
    prebuild:
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+7d' -e 's/${project.version}/$$VERSION$$/g'
        -e '/com.google.gms.google-services/d' -e '/org.linphone\:linphone-sdk-android/d'
        -e "/bumptech/aimplementation\ fileTree(include\:\ ['linphone-sdk-android-release.aar'],\
        dir\:\ 'libs')" app/build.gradle
      - sed -i -e 's|"kill_service_with_task_manager">true<|"kill_service_with_task_manager">false<|'
        -e 's|"check_for_update_when_app_starts">true<|"check_for_update_when_app_starts">false<|'
        app/src/main/res/values/non_localizable_custom.xml
      - sed -i -e 's!https://www.linphone.org/releases!!' app/src/main/res/raw/linphonerc_default
    scanignore:
      - app/build.gradle
    build:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86, x86_64" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - mkdir app/libs
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        app/libs/
    ndk: r16b

  - versionName: 4.4.3
    versionCode: 4403
    commit: 4.4.3
    timeout: 20000
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y doxygen pkgconf python3-pystache python3-six yasm
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@4.5.15
    rm:
      - app/src/main/java/org/linphone/firebase/Firebase*.java
      - app/google-services.json
      - sample
    prebuild:
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+9d' -e 's/${project.version}/$$VERSION$$/g'
        -e '/com.google.gms.google-services/d' -e '/org.linphone\:linphone-sdk-android/d'
        -e "/bumptech/aimplementation\ fileTree(include\:\ ['linphone-sdk-android-release.aar'],\
        dir\:\ 'libs')" app/build.gradle
      - sed -i -e 's|"kill_service_with_task_manager">true<|"kill_service_with_task_manager">false<|'
        -e 's|"check_for_update_when_app_starts">true<|"check_for_update_when_app_starts">false<|'
        app/src/main/res/values/non_localizable_custom.xml
      - sed -i -e 's!https://www.linphone.org/releases!!' app/src/main/res/raw/linphonerc_default
    scanignore:
      - app/build.gradle
    build:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86, x86_64" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - mkdir app/libs
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        app/libs/
      - rm -rf $$linphone-sdk$$/build-sdk/
    ndk: r21e

  - versionName: 4.4.4
    versionCode: 4404
    commit: 4.4.4
    timeout: 20000
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y doxygen pkgconf python3-pystache python3-six yasm
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@4.5.24
    rm:
      - app/src/main/java/org/linphone/firebase/Firebase*.java
      - app/google-services.json
      - sample
    prebuild:
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+9d' -e 's/${project.version}/$$VERSION$$/g'
        -e '/com.google.gms.google-services/d' -e '/org.linphone\:linphone-sdk-android/d'
        -e "/bumptech/aimplementation\ fileTree(include\:\ ['linphone-sdk-android-release.aar'],\
        dir\:\ 'libs')" app/build.gradle
      - sed -i -e 's|"kill_service_with_task_manager">true<|"kill_service_with_task_manager">false<|'
        -e 's|"check_for_update_when_app_starts">true<|"check_for_update_when_app_starts">false<|'
        app/src/main/res/values/non_localizable_custom.xml
      - sed -i -e 's!https://www.linphone.org/releases!!' app/src/main/res/raw/linphonerc_default
    scanignore:
      - app/build.gradle
    build:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - mkdir app/libs
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        app/libs/
      - rm -rf $$linphone-sdk$$/build-sdk/
    ndk: r21e

  - versionName: 4.5.1
    versionCode: 4510
    commit: 4.5.1
    timeout: 20000
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y doxygen pkgconf python3-pystache python3-six yasm
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@5.0.1
    rm:
      - app/google-services.json
    prebuild:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - rm -R liblinphone/wrappers/java/classes/org/linphone/core/tools/firebase
      - sed -i -e '/import com.google.firebase.FirebaseApp/d' -e '/FirebaseApp.initializeApp/d'
        liblinphone/wrappers/java/classes/org/linphone/core/tools/PushNotificationUtils.java
      - popd
      - sed -i -e '/com.google.firebase/d' $$linphone-sdk$$/cmake/Android/gradle/build.gradle.cmake
        build.gradle app/build.gradle
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+17d' -e 's/${project.version}/$$VERSION$$/g'
        -e '/com.google.gms.google-services/d' -e '/org.linphone:linphone-sdk-android/d'
        -e "s/'\*.jar'/'linphone-sdk-android-release.aar'/" app/build.gradle
      - sed -i -e '/FirebaseCrashlytics/d' app/src/main/java/org/linphone/core/CoreContext.kt
      - sed -i -e 's|https://www.linphone.org/releases||' -e 's|push_notification=.*|push_notification=0|'
        app/src/main/assets/linphonerc_default
      - sed -i -e '/ndk.dir/d' local.properties
    build:
      - pushd $$linphone-sdk$$
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - mkdir app/libs
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        app/libs/
    ndk: r21e
    antifeatures:
      - UpstreamNonFree

  - versionName: 4.5.2
    versionCode: 4520
    commit: 4.5.2
    timeout: 20000
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y doxygen pkgconf python3-pystache python3-six yasm
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    patch:
      - 4.5.2.patch
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@5.0.15
    rm:
      - app/google-services.json
    prebuild:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - rm -R liblinphone/wrappers/java/classes/org/linphone/core/tools/firebase
      - sed -i -e '/import com.google.firebase.FirebaseApp/d' -e '/FirebaseApp.initializeApp/d'
        liblinphone/wrappers/java/classes/org/linphone/core/tools/PushNotificationUtils.java
      - popd
      - sed -i -e '/com.google.firebase/d' $$linphone-sdk$$/cmake/Android/gradle/build.gradle.cmake
        build.gradle app/build.gradle
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+17d' -e 's/${project.version}/$$VERSION$$/g'
        -e '/com.google.gms.google-services/d' -e '/org.linphone:linphone-sdk-android/d'
        -e "s/'\*.jar'/'linphone-sdk-android-release.aar'/" app/build.gradle
      - sed -i -e '/FirebaseCrashlytics/d' app/src/main/java/org/linphone/core/CoreContext.kt
      - sed -i -e 's|https://www.linphone.org/releases||' -e 's|push_notification=.*|push_notification=0|'
        app/src/main/assets/linphonerc_default
      - sed -i -e '/ndk.dir/d' local.properties
    build:
      - pushd $$linphone-sdk$$
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DENABLE_GPL_THIRD_PARTIES=YES -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - mkdir app/libs
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        app/libs/
    ndk: r21e
    antifeatures:
      - UpstreamNonFree

  - versionName: 4.5.6
    versionCode: 4560
    commit: 4.5.6
    timeout: 20000
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y doxygen pkgconf python3-pystache python3-six yasm
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
    patch:
      - 4.5.2.patch
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@5.0.49
    rm:
      - app/google-services.json
    prebuild:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - rm -R liblinphone/wrappers/java/classes/org/linphone/core/tools/firebase
      - sed -i -e '/import com.google.firebase.FirebaseApp/d' -e '/FirebaseApp.initializeApp/d'
        liblinphone/wrappers/java/classes/org/linphone/core/tools/PushNotificationUtils.java
      - popd
      - sed -i -e '/com.google.firebase/d' $$linphone-sdk$$/cmake/Android/gradle/build.gradle.cmake
        build.gradle app/build.gradle
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+17d' -e 's/${project.version}/$$VERSION$$/g'
        -e '/com.google.gms.google-services/d' -e '/org.linphone:linphone-sdk-android/d'
        -e "s/'\*.jar'/'linphone-sdk-android-release.aar'/" app/build.gradle
      - sed -i -e '/FirebaseCrashlytics/d' app/src/main/java/org/linphone/core/CoreContext.kt
      - sed -i -e 's|https://www.linphone.org/releases||' -e 's|push_notification=.*|push_notification=0|'
        app/src/main/assets/linphonerc_default
      - sed -i -e '/ndk.dir/d' local.properties
    build:
      - pushd $$linphone-sdk$$
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DENABLE_GPL_THIRD_PARTIES=YES -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - mkdir app/libs
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        app/libs/
    ndk: r21e
    antifeatures:
      - UpstreamNonFree

  - versionName: 4.6.0
    versionCode: 40600
    commit: 4.6.0
    timeout: 20000
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y doxygen pkgconf python3-pystache python3-six yasm
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@5.1.0
    rm:
      - app/google-services.json
    prebuild:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - rm -R liblinphone/wrappers/java/classes/org/linphone/core/tools/firebase
      - sed -i -e '/import com.google.firebase.FirebaseApp/d' -e '/FirebaseApp.initializeApp/d'
        liblinphone/wrappers/java/classes/org/linphone/core/tools/PushNotificationUtils.java
      - popd
      - sed -i -e '/com.google.firebase/d' $$linphone-sdk$$/cmake/Android/gradle/build.gradle.cmake
        build.gradle app/build.gradle
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+17d' -e 's/${project.version}/$$VERSION$$/g'
        -e '/com.google.gms.google-services/d' -e '/org.linphone:linphone-sdk-android/d'
        -e "s/'\*.jar'/'linphone-sdk-android-release.aar'/" app/build.gradle
      - sed -i -e '/FirebaseCrashlytics/d' app/src/main/java/org/linphone/core/CoreContext.kt
      - sed -i -e 's|https://www.linphone.org/releases||' -e 's|push_notification=.*|push_notification=0|'
        app/src/main/assets/linphonerc_default
      - sed -i -e '/ndk.dir/d' local.properties
      - sed -i -e '16,22d' settings.gradle
    scanignore:
      - settings.gradle
    build:
      - pushd $$linphone-sdk$$
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DENABLE_GPL_THIRD_PARTIES=YES -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - mkdir app/libs
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        app/libs/
    ndk: r21e
    antifeatures:
      - UpstreamNonFree

  - versionName: 4.6.1
    versionCode: 40601
    commit: 4.6.1
    timeout: 20000
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y doxygen pkgconf python3-pystache python3-six yasm
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@5.1.2
    rm:
      - app/google-services.json
    prebuild:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - rm -R liblinphone/wrappers/java/classes/org/linphone/core/tools/firebase
      - sed -i -e '/import com.google.firebase.FirebaseApp/d' -e '/FirebaseApp.initializeApp/d'
        liblinphone/wrappers/java/classes/org/linphone/core/tools/PushNotificationUtils.java
      - popd
      - sed -i -e '/FirebaseMessaging/,+5d' app/src/main/AndroidManifest.xml
      - sed -i -e '/com.google.firebase/d' $$linphone-sdk$$/cmake/Android/gradle/build.gradle.cmake
        build.gradle app/build.gradle
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+17d' -e 's/${project.version}/$$VERSION$$/g'
        -e '/com.google.gms.google-services/d' -e '/org.linphone:linphone-sdk-android/d'
        -e "s/'\*.jar'/'linphone-sdk-android-release.aar'/" app/build.gradle
      - sed -i -e '/FirebaseCrashlytics/d' app/src/main/java/org/linphone/core/CoreContext.kt
      - sed -i -e 's|https://www.linphone.org/releases||' -e 's|push_notification=.*|push_notification=0|'
        app/src/main/assets/linphonerc_default
      - sed -i -e '/ndk.dir/d' local.properties
      - sed -i -e '16,22d' settings.gradle
    scanignore:
      - settings.gradle
    build:
      - pushd $$linphone-sdk$$
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DENABLE_GPL_THIRD_PARTIES=YES -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - mkdir app/libs
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        app/libs/
    ndk: r21e
    antifeatures:
      - UpstreamNonFree

  - versionName: 4.6.2
    versionCode: 40602
    commit: 4.6.2
    timeout: 20000
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y doxygen pkgconf python3-pystache python3-six yasm
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@5.1.4
    rm:
      - app/google-services.json
    prebuild:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - rm -R liblinphone/wrappers/java/classes/org/linphone/core/tools/firebase
      - sed -i -e '/import com.google.firebase.FirebaseApp/d' -e '/FirebaseApp.initializeApp/d'
        liblinphone/wrappers/java/classes/org/linphone/core/tools/PushNotificationUtils.java
      - popd
      - sed -i -e '/FirebaseMessaging/,+6d' app/src/main/AndroidManifest.xml
      - sed -i -e '/com.google.firebase/d' $$linphone-sdk$$/cmake/Android/gradle/build.gradle.cmake
        build.gradle app/build.gradle
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+17d' -e 's/${project.version}/$$VERSION$$/g'
        -e '/com.google.gms.google-services/d' -e '/org.linphone:linphone-sdk-android/d'
        -e "s/'\*.jar'/'linphone-sdk-android-release.aar'/" app/build.gradle
      - sed -i -e '/FirebaseCrashlytics/d' app/src/main/java/org/linphone/core/CoreContext.kt
      - sed -i -e 's|https://www.linphone.org/releases||' -e 's|push_notification=.*|push_notification=0|'
        app/src/main/assets/linphonerc_default
      - sed -i -e '/ndk.dir/d' local.properties
      - sed -i -e '16,22d' settings.gradle
    scanignore:
      - settings.gradle
    build:
      - pushd $$linphone-sdk$$
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DENABLE_GPL_THIRD_PARTIES=YES -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - mkdir app/libs
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        app/libs/
    ndk: r21e
    antifeatures:
      - UpstreamNonFree

  - versionName: 4.6.3
    versionCode: 40603
    commit: 4.6.3
    timeout: 20000
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y doxygen pkgconf python3-pystache python3-six yasm
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
      - apt-get install -y openjdk-11-jdk-headless
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@5.1.6
    rm:
      - app/google-services.json
    prebuild:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - rm -R liblinphone/wrappers/java/classes/org/linphone/core/tools/firebase
      - sed -i -e '/import com.google.firebase.FirebaseApp/d' -e '/FirebaseApp.initializeApp/d'
        liblinphone/wrappers/java/classes/org/linphone/core/tools/PushNotificationUtils.java
      - popd
      - sed -i -e '/FirebaseMessaging/,+6d' app/src/main/AndroidManifest.xml
      - sed -i -e '/com.google.firebase/d' $$linphone-sdk$$/cmake/Android/gradle/build.gradle.cmake
        build.gradle app/build.gradle
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+17d' -e 's/${project.version}/$$VERSION$$/g'
        -e '/com.google.gms.google-services/d' -e '/org.linphone:linphone-sdk-android/d'
        -e "s/'\*.jar'/'linphone-sdk-android-release.aar'/" app/build.gradle
      - sed -i -e '/FirebaseCrashlytics/d' app/src/main/java/org/linphone/core/CoreContext.kt
      - sed -i -e 's|https://www.linphone.org/releases||' -e 's|push_notification=.*|push_notification=0|'
        app/src/main/assets/linphonerc_default
      - sed -i -e '/ndk.dir/d' local.properties
      - sed -i -e '16,22d' settings.gradle
    scanignore:
      - settings.gradle
    build:
      - pushd $$linphone-sdk$$
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DENABLE_GPL_THIRD_PARTIES=YES -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - mkdir app/libs
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        app/libs/
    ndk: r21e
    antifeatures:
      - UpstreamNonFree

  - versionName: 4.6.4
    versionCode: 40604
    commit: 4.6.4
    timeout: 20000
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y doxygen openjdk-11-jdk-headless pkgconf python3-pystache
        yasm
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@5.1.20
    rm:
      - app/google-services.json
    prebuild:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - rm -R liblinphone/wrappers/java/classes/org/linphone/core/tools/firebase
      - sed -i -e '/import com.google.firebase.FirebaseApp/d' -e '/FirebaseApp.initializeApp/d'
        liblinphone/wrappers/java/classes/org/linphone/core/tools/PushNotificationUtils.java
      - popd
      - sed -i -e '/FirebaseMessaging/,+6d' app/src/main/AndroidManifest.xml
      - sed -i -e '/com.google.firebase/d' $$linphone-sdk$$/cmake/Android/gradle/build.gradle.cmake
        build.gradle app/build.gradle
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+17d' -e 's/${project.version}/$$VERSION$$/g'
        -e '/com.google.gms.google-services/d' -e '/org.linphone:linphone-sdk-android/d'
        -e "s/'\*.jar'/'linphone-sdk-android-release.aar'/" app/build.gradle
      - sed -i -e '/FirebaseCrashlytics/d' app/src/main/java/org/linphone/core/CoreContext.kt
      - sed -i -e 's|https://www.linphone.org/releases||' -e 's|push_notification=.*|push_notification=0|'
        app/src/main/assets/linphonerc_default
      - sed -i -e '/ndk.dir/d' local.properties
      - sed -i -e '16,22d' settings.gradle
    scanignore:
      - settings.gradle
    build:
      - pushd $$linphone-sdk$$
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DENABLE_GPL_THIRD_PARTIES=YES -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - mkdir app/libs
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        app/libs/
    ndk: r21e
    antifeatures:
      - UpstreamNonFree

  - versionName: 4.6.5
    versionCode: 40605
    commit: 4.6.5
    timeout: 20000
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y doxygen openjdk-11-jdk-headless pkgconf python3-pystache
        yasm
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@5.1.22
    rm:
      - app/google-services.json
    prebuild:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - rm -R liblinphone/wrappers/java/classes/org/linphone/core/tools/firebase
      - sed -i -e '/import com.google.firebase.FirebaseApp/d' -e '/FirebaseApp.initializeApp/d'
        liblinphone/wrappers/java/classes/org/linphone/core/tools/PushNotificationUtils.java
      - popd
      - sed -i -e '/FirebaseMessaging/,+6d' app/src/main/AndroidManifest.xml
      - sed -i -e '/com.google.firebase/d' $$linphone-sdk$$/cmake/Android/gradle/build.gradle.cmake
        build.gradle app/build.gradle
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+17d' -e 's/${project.version}/$$VERSION$$/g'
        -e '/com.google.gms.google-services/d' -e '/org.linphone:linphone-sdk-android/d'
        -e "s/'\*.jar'/'linphone-sdk-android-release.aar'/" app/build.gradle
      - sed -i -e '/FirebaseCrashlytics/d' app/src/main/java/org/linphone/core/CoreContext.kt
      - sed -i -e 's|https://www.linphone.org/releases||' -e 's|push_notification=.*|push_notification=0|'
        app/src/main/assets/linphonerc_default
      - sed -i -e '/ndk.dir/d' local.properties
      - sed -i -e '16,22d' settings.gradle
    scanignore:
      - settings.gradle
    build:
      - pushd $$linphone-sdk$$
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DENABLE_GPL_THIRD_PARTIES=YES -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - mkdir app/libs
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        app/libs/
    ndk: r21e
    antifeatures:
      - UpstreamNonFree

  - versionName: 4.6.6
    versionCode: 40606
    commit: 4.6.6
    timeout: 20000
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y doxygen openjdk-11-jdk-headless pkgconf python3-pystache
        yasm
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@5.1.24
    rm:
      - app/google-services.json
    prebuild:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - rm -R liblinphone/wrappers/java/classes/org/linphone/core/tools/firebase
      - sed -i -e '/import com.google.firebase.FirebaseApp/d' -e '/FirebaseApp.initializeApp/d'
        liblinphone/wrappers/java/classes/org/linphone/core/tools/PushNotificationUtils.java
      - popd
      - sed -i -e '/FirebaseMessaging/,+6d' app/src/main/AndroidManifest.xml
      - sed -i -e '/com.google.firebase/d' $$linphone-sdk$$/cmake/Android/gradle/build.gradle.cmake
        build.gradle app/build.gradle
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+17d' -e 's/${project.version}/$$VERSION$$/g'
        -e '/com.google.gms.google-services/d' -e '/org.linphone:linphone-sdk-android/d'
        -e "s/'\*.jar'/'linphone-sdk-android-release.aar'/" app/build.gradle
      - sed -i -e '/FirebaseCrashlytics/d' app/src/main/java/org/linphone/core/CoreContext.kt
      - sed -i -e 's|https://www.linphone.org/releases||' -e 's|push_notification=.*|push_notification=0|'
        app/src/main/assets/linphonerc_default
      - sed -i -e '/ndk.dir/d' local.properties
      - sed -i -e '16,22d' settings.gradle
    scanignore:
      - settings.gradle
    build:
      - pushd $$linphone-sdk$$
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DENABLE_GPL_THIRD_PARTIES=YES -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - mkdir app/libs
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        app/libs/
    ndk: r21e
    antifeatures:
      - UpstreamNonFree

  - versionName: 4.6.7
    versionCode: 40607
    commit: 4.6.7
    timeout: 20000
    sudo:
      - apt-get update || apt-get update
      - apt-get install -y doxygen openjdk-11-jdk-headless pkgconf python3-pystache
        yasm
      - apt-get install -y -t stretch-backports-sloppy libarchive13
      - apt-get install -y -t stretch-backports cmake
      - update-alternatives --auto java
    gradle:
      - yes
    output: app/build/outputs/apk/release/linphone-android-release-*.apk
    srclibs:
      - linphone-sdk@5.1.28
    rm:
      - app/google-services.json
    prebuild:
      - pushd $$linphone-sdk$$
      - git submodule update --init --recursive
      - rm -R liblinphone/wrappers/java/classes/org/linphone/core/tools/firebase
      - sed -i -e '/import com.google.firebase.FirebaseApp/d' -e '/FirebaseApp.initializeApp/d'
        liblinphone/wrappers/java/classes/org/linphone/core/tools/PushNotificationUtils.java
      - popd
      - sed -i -e '/FirebaseMessaging/,+6d' app/src/main/AndroidManifest.xml
      - sed -i -e '/com.google.firebase/d' $$linphone-sdk$$/cmake/Android/gradle/build.gradle.cmake
        build.gradle app/build.gradle
      - sed -i -e '/google-services/d' build.gradle
      - sed -i -e '/keystore/d' -e '/repositories/,+17d' -e 's/${project.version}/$$VERSION$$/g'
        -e '/com.google.gms.google-services/d' -e '/org.linphone:linphone-sdk-android/d'
        -e "s/'\*.jar'/'linphone-sdk-android-release.aar'/" app/build.gradle
      - sed -i -e '/FirebaseCrashlytics/d' app/src/main/java/org/linphone/core/CoreContext.kt
      - sed -i -e 's|https://www.linphone.org/releases||' -e 's|push_notification=.*|push_notification=0|'
        app/src/main/assets/linphonerc_default
      - sed -i -e '/ndk.dir/d' local.properties
      - sed -i -e '16,22d' settings.gradle
    scanignore:
      - settings.gradle
    build:
      - pushd $$linphone-sdk$$
      - mkdir build-sdk
      - cd build-sdk
      - cmake .. -DENABLE_GPL_THIRD_PARTIES=YES -DLINPHONESDK_PLATFORM=Android -DLINPHONESDK_ANDROID_ARCHS="arm64,
        armv7, x86" -DCMAKE_BUILD_TYPE=Release
      - cmake --build . --parallel $(nproc)
      - popd
      - mkdir app/libs
      - cp $$linphone-sdk$$/build-sdk/linphone-sdk/bin/outputs/aar/linphone-sdk-android-release.aar
        app/libs/
    ndk: r21e
    antifeatures:
      - UpstreamNonFree

MaintainerNotes: We patch linphone-sdk to remove GMS and Firebase, thus UpstreamNonFree.

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 4.6.7
CurrentVersionCode: 40607
